MRUN(1)

NAME
mrun - mrun

SYNOPSIS
mrun [OPTIONS] BUILDERS...

OPTIONS

-v, --verbose
    Controls logging level per number of v's

-n, --num-processes INTEGER RANGE
    Number of processes to spawn for each worker. Defaults to single processing [x>=1]

-r, --reporting PATH
    Store in JSON/YAML form to send reporting data to

-u, --url TEXT
    URL for the distributed manager

-p, --port INTEGER
    Port for distributed communication. mrun will find an open port if None is provided to the manager

-N, --num-chunks INTEGER
    Number of chunks to distribute to workers

-w, --num-workers INTEGER
    Number of distributed workers to process chunks

--no_bars
    Turns of Progress Bars for headless operations

--rabbitmq
    Enables the use of RabbitMQ as the work broker

-q, --queue_prefix TEXT
    Prefix to use in queue names when RabbitMQ is select as the broker

-m, --memray BOOLEAN
    Option to profile builder memory usage with Memray

-md, --memray-dir TEXT
    Directory to dump memory profiler output files. Only runs if --memray is True. Will create directory if directory does not exist, mimicking mkdir -p command. If not provided files will be dumped to system's temp directory

--help
    Show this message and exit.